Index: trunk/SophyaPI/PI/Quartz/PI.xcodeproj/brunomansoux.pbxuser
===================================================================
--- trunk/SophyaPI/PI/Quartz/PI.xcodeproj/brunomansoux.pbxuser	(revision 3479)
+++ trunk/SophyaPI/PI/Quartz/PI.xcodeproj/brunomansoux.pbxuser	(revision 3486)
@@ -1157,254 +1314,2610 @@
 		);
 	};
-	6DED24930DA60AED0095CEF6 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6D98FCF5062C1CDB009E5976 /* PIWindowQuartz.cpp */;
-		name = "PIWindowQuartz.cpp: 18";
-		rLen = 0;
-		rLoc = 411;
-		rType = 0;
-		vrLen = 719;
-		vrLoc = 148;
-	};
-	6DED24970DA60AED0095CEF6 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6D98FCF5062C1CDB009E5976 /* PIWindowQuartz.cpp */;
-		name = "PIWindowQuartz.cpp: 18";
-		rLen = 0;
-		rLoc = 411;
-		rType = 0;
-		vrLen = 719;
-		vrLoc = 148;
-	};
-	6DED24980DA60AED0095CEF6 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DEA83220C7F166500B7D5DD /* pistdwdgmosx.cpp */;
-		name = "pistdwdgmosx.cpp: 343";
-		rLen = 0;
-		rLoc = 8365;
+	6DED33240DADE70C00A2F30F /* SPIWindow.h */ = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {783, 546}}";
+			sepNavSelRange = "{127, 0}";
+			sepNavVisRect = "{{0, 155}, {783, 391}}";
+		};
+	};
+	6DED33250DADE70C00A2F30F /* SPIWindow.cpp */ = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {783, 1106}}";
+			sepNavSelRange = "{2196, 0}";
+			sepNavVisRect = "{{0, 708}, {783, 391}}";
+		};
+	};
+	6DED332C0DADE76200A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6D622CE90D8ED11400428D9A /* BaoAdc.h */;
+		name = "BaoAdc.h: 19";
+		rLen = 0;
+		rLoc = 385;
+		rType = 0;
+		vrLen = 2120;
+		vrLoc = 0;
+	};
+	6DED332D0DADE76200A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6D622CE80D8ED11400428D9A /* BaoAdc.cpp */;
+		name = "BaoAdc.cpp: 36";
+		rLen = 0;
+		rLoc = 934;
+		rType = 0;
+		vrLen = 1580;
+		vrLoc = 0;
+	};
+	6DED332E0DADE76200A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED33250DADE70C00A2F30F /* SPIWindow.cpp */;
+		name = "SPIWindow.cpp: 10";
+		rLen = 0;
+		rLoc = 157;
+		rType = 0;
+		vrLen = 162;
+		vrLoc = 0;
+	};
+	6DED332F0DADE76200A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED33240DADE70C00A2F30F /* SPIWindow.h */;
+		name = "SPIWindow.h: 19";
+		rLen = 0;
+		rLoc = 762;
+		rType = 0;
+		vrLen = 275;
+		vrLoc = 0;
+	};
+	6DED33300DADE76200A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED738F0D8FA59000D85368 /* RegisterWindow.h */;
+		name = "RegisterWindow.h: 9";
+		rLen = 137;
+		rLoc = 206;
+		rType = 0;
+		vrLen = 1507;
+		vrLoc = 0;
+	};
+	6DED33310DADE76200A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6D622CE80D8ED11400428D9A /* BaoAdc.cpp */;
+		name = "BaoAdc.cpp: 36";
+		rLen = 0;
+		rLoc = 934;
+		rType = 0;
+		vrLen = 1580;
+		vrLoc = 0;
+	};
+	6DED33320DADE76200A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED33240DADE70C00A2F30F /* SPIWindow.h */;
+		name = "SPIWind.h: 10";
+		rLen = 0;
+		rLoc = 763;
+		rType = 0;
+		vrLen = 136;
+		vrLoc = 0;
+	};
+	6DED33330DADE76200A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED33250DADE70C00A2F30F /* SPIWindow.cpp */;
+		name = "SPIWindow.cpp: 1";
+		rLen = 0;
+		rLoc = 0;
+		rType = 0;
+		vrLen = 160;
+		vrLoc = 0;
+	};
+	6DED33340DADE76200A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED33240DADE70C00A2F30F /* SPIWindow.h */;
+		name = "SPIWindow.h: 10";
+		rLen = 0;
+		rLoc = 763;
+		rType = 0;
+		vrLen = 136;
+		vrLoc = 0;
+	};
+	6DED33350DADE76200A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED738F0D8FA59000D85368 /* RegisterWindow.h */;
+		name = "RegisterWindow.h: 9";
+		rLen = 137;
+		rLoc = 206;
+		rType = 0;
+		vrLen = 1507;
+		vrLoc = 0;
+	};
+	6DED33360DADE76200A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED33240DADE70C00A2F30F /* SPIWindow.h */;
+		name = "SPIWindow.h: 19";
+		rLen = 0;
+		rLoc = 762;
+		rType = 0;
+		vrLen = 275;
+		vrLoc = 0;
+	};
+	6DED33370DADE76200A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6D622CE90D8ED11400428D9A /* BaoAdc.h */;
+		name = "BaoAdc.h: 19";
+		rLen = 0;
+		rLoc = 385;
+		rType = 0;
+		vrLen = 2120;
+		vrLoc = 0;
+	};
+	6DED33380DADE76200A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6D622CE80D8ED11400428D9A /* BaoAdc.cpp */;
+		name = "BaoAdc.cpp: 36";
+		rLen = 0;
+		rLoc = 934;
+		rType = 0;
+		vrLen = 1580;
+		vrLoc = 0;
+	};
+	6DED33390DADE76200A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED738F0D8FA59000D85368 /* RegisterWindow.h */;
+		name = "RegisterWindow.h: 9";
+		rLen = 137;
+		rLoc = 206;
+		rType = 0;
+		vrLen = 1507;
+		vrLoc = 0;
+	};
+	6DED333A0DADE76200A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED33240DADE70C00A2F30F /* SPIWindow.h */;
+		name = "SPIWindow.h: 19";
+		rLen = 0;
+		rLoc = 762;
+		rType = 0;
+		vrLen = 275;
+		vrLoc = 0;
+	};
+	6DED333B0DADE76200A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED33250DADE70C00A2F30F /* SPIWindow.cpp */;
+		name = "SPIWindow.cpp: 10";
+		rLen = 0;
+		rLoc = 157;
+		rType = 0;
+		vrLen = 162;
+		vrLoc = 0;
+	};
+	6DED333C0DADE76200A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED33240DADE70C00A2F30F /* SPIWindow.h */;
+		name = "SPIWindow.h: 19";
+		rLen = 0;
+		rLoc = 762;
+		rType = 0;
+		vrLen = 275;
+		vrLoc = 0;
+	};
+	6DED333D0DADE76200A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED738F0D8FA59000D85368 /* RegisterWindow.h */;
+		name = "RegisterWindow.h: 25";
+		rLen = 0;
+		rLoc = 365;
+		rType = 0;
+		vrLen = 1849;
+		vrLoc = 434;
+	};
+	6DED337D0DADF02B00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DFD5AD406774017009E5976 /* PIApplQuartz.h */;
+		name = "class PIApplicationQuartz : public PIApplicationGen {";
+		rLen = 54;
+		rLoc = 318;
+		rType = 0;
+		vrLen = 471;
+		vrLoc = 0;
+	};
+	6DED337E0DADF02B00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		comments = "error: 'silabRegisterWindow' was not declared in this scope";
+		fRef = 6D622CE80D8ED11400428D9A /* BaoAdc.cpp */;
+		rLen = 1;
+		rLoc = 81;
+		rType = 1;
+	};
+	6DED337F0DADF02B00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DFD5AD406774017009E5976 /* PIApplQuartz.h */;
+		name = "class PIApplicationQuartz : public PIApplicationGen {";
+		rLen = 54;
+		rLoc = 318;
+		rType = 0;
+		vrLen = 471;
+		vrLoc = 0;
+	};
+	6DED33800DADF02B00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6D622CE80D8ED11400428D9A /* BaoAdc.cpp */;
+		name = "silabRegisterWindow->Hide();";
+		rLen = 70;
+		rLoc = 2041;
+		rType = 0;
+		vrLen = 543;
+		vrLoc = 1567;
+	};
+	6DED33810DADF02B00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DFD5AD406774017009E5976 /* PIApplQuartz.h */;
+		name = "class PIApplicationQuartz : public PIApplicationGen {";
+		rLen = 54;
+		rLoc = 318;
+		rType = 0;
+		vrLen = 471;
+		vrLoc = 0;
+	};
+	6DED33820DADF02B00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6D622CE80D8ED11400428D9A /* BaoAdc.cpp */;
+		name = "silabRegisterWindow->Hide();";
+		rLen = 70;
+		rLoc = 2041;
+		rType = 0;
+		vrLen = 543;
+		vrLoc = 1567;
+	};
+	6DED33880DADF05000A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6D622CE80D8ED11400428D9A /* BaoAdc.cpp */;
+		name = "BaoAdc.cpp: 72";
+		rLen = 0;
+		rLoc = 2049;
+		rType = 0;
+		vrLen = 527;
+		vrLoc = 1567;
+	};
+	6DED33890DADF05000A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		comments = "error: redefinition of 'class PIApplicationQuartz'";
+		fRef = 6DFD5AD406774017009E5976 /* PIApplQuartz.h */;
+		rLen = 1;
+		rLoc = 16;
+		rType = 1;
+	};
+	6DED338A0DADF05000A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6D622CE80D8ED11400428D9A /* BaoAdc.cpp */;
+		name = "BaoAdc.cpp: 72";
+		rLen = 0;
+		rLoc = 2049;
+		rType = 0;
+		vrLen = 527;
+		vrLoc = 1567;
+	};
+	6DED338B0DADF05000A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DFD5AD406774017009E5976 /* PIApplQuartz.h */;
+		name = "class PIApplicationQuartz : public PIApplicationGen {";
+		rLen = 54;
+		rLoc = 318;
+		rType = 0;
+		vrLen = 471;
+		vrLoc = 0;
+	};
+	6DED33940DADF0EB00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DFD5AD406774017009E5976 /* PIApplQuartz.h */;
+		name = "class PIApplicationQuartz : public PIApplicationGen {";
+		rLen = 54;
+		rLoc = 318;
+		rType = 0;
+		vrLen = 502;
+		vrLoc = 0;
+	};
+	6DED33950DADF0EB00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		comments = "error: no matching function for call to 'PITextQuartz::PITextQuartz()'";
+		fRef = 6DED33250DADE70C00A2F30F /* SPIWindow.cpp */;
+		rLen = 1;
+		rLoc = 14;
+		rType = 1;
+	};
+	6DED33960DADF0EB00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DFD5AD406774017009E5976 /* PIApplQuartz.h */;
+		name = "class PIApplicationQuartz : public PIApplicationGen {";
+		rLen = 54;
+		rLoc = 318;
+		rType = 0;
+		vrLen = 502;
+		vrLoc = 0;
+	};
+	6DED33970DADF0EB00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED33250DADE70C00A2F30F /* SPIWindow.cpp */;
+		name = ": PIWindow((PIMsgHandler *)par, \"SPI Register Window\", PIWK_dialog, 500, 400, 50, 150)";
+		rLen = 87;
+		rLoc = 277;
+		rType = 0;
+		vrLen = 590;
+		vrLoc = 0;
+	};
+	6DED339C0DADF17D00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		comments = "error: 'SetTextEditable' was not declared in this scope";
+		fRef = 6DED33250DADE70C00A2F30F /* SPIWindow.cpp */;
+		rLen = 1;
+		rLoc = 51;
+		rType = 1;
+	};
+	6DED339D0DADF17D00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED33250DADE70C00A2F30F /* SPIWindow.cpp */;
+		name = "pit-SetTextEditable(status);";
+		rLen = 0;
+		rLoc = 1803;
+		rType = 0;
+		vrLen = 458;
+		vrLoc = 1490;
+	};
+	6DED33AC0DADF2BD00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED33240DADE70C00A2F30F /* SPIWindow.h */;
+		name = "SPIWindow.h: 6";
+		rLen = 0;
+		rLoc = 127;
+		rType = 0;
+		vrLen = 593;
+		vrLoc = 0;
+	};
+	6DED33AD0DADF2BD00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED73900D8FA59000D85368 /* RegisterWindow.cpp */;
+		name = "RegisterWindow.cpp: 26";
+		rLen = 0;
+		rLoc = 173;
+		rType = 0;
+		vrLen = 613;
+		vrLoc = 0;
+	};
+	6DED33AE0DADF2BD00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED738F0D8FA59000D85368 /* RegisterWindow.h */;
+		name = "RegisterWindow.h: 43";
+		rLen = 0;
+		rLoc = 447;
+		rType = 0;
+		vrLen = 1022;
+		vrLoc = 397;
+	};
+	6DED33AF0DADF2BD00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED33250DADE70C00A2F30F /* SPIWindow.cpp */;
+		name = "SPIWindow.cpp: 18";
+		rLen = 0;
+		rLoc = 420;
+		rType = 0;
+		vrLen = 1086;
+		vrLoc = 0;
+	};
+	6DED33B00DADF2BD00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6D622CE90D8ED11400428D9A /* BaoAdc.h */;
+		name = "BaoAdc.h: 23";
+		rLen = 0;
+		rLoc = 385;
+		rType = 0;
+		vrLen = 590;
+		vrLoc = 0;
+	};
+	6DED33B10DADF2BD00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED738F0D8FA59000D85368 /* RegisterWindow.h */;
+		name = "RegisterWindow.h: DR_SIZE";
+		rLen = 0;
+		rLoc = 426;
+		rType = 0;
+		vrLen = 806;
+		vrLoc = 434;
+	};
+	6DED33B20DADF2BD00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED33240DADE70C00A2F30F /* SPIWindow.h */;
+		name = "SPIWindow.h: 26";
+		rLen = 0;
+		rLoc = 633;
+		rType = 0;
+		vrLen = 458;
+		vrLoc = 0;
+	};
+	6DED33B30DADF2BD00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED33250DADE70C00A2F30F /* SPIWindow.cpp */;
+		name = "SPIWindow.cpp: 11";
+		rLen = 0;
+		rLoc = 161;
+		rType = 0;
+		vrLen = 1074;
+		vrLoc = 0;
+	};
+	6DED33B40DADF2BD00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED33240DADE70C00A2F30F /* SPIWindow.h */;
+		name = "SPIWindow.h: 6";
+		rLen = 0;
+		rLoc = 127;
+		rType = 0;
+		vrLen = 593;
+		vrLoc = 0;
+	};
+	6DED33B50DADF2BD00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED73900D8FA59000D85368 /* RegisterWindow.cpp */;
+		name = "RegisterWindow.cpp: 26";
+		rLen = 0;
+		rLoc = 173;
+		rType = 0;
+		vrLen = 613;
+		vrLoc = 0;
+	};
+	6DED33B60DADF2BD00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED738F0D8FA59000D85368 /* RegisterWindow.h */;
+		name = "RegisterWindow.h: 43";
+		rLen = 0;
+		rLoc = 447;
+		rType = 0;
+		vrLen = 1022;
+		vrLoc = 397;
+	};
+	6DED33B70DADF2BD00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED33250DADE70C00A2F30F /* SPIWindow.cpp */;
+		name = "SPIWindow.cpp: 36";
+		rLen = 0;
+		rLoc = 1286;
+		rType = 0;
+		vrLen = 1282;
+		vrLoc = 277;
+	};
+	6DED33B80DADF2BD00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6D622CE90D8ED11400428D9A /* BaoAdc.h */;
+		name = "BaoAdc.h: 23";
+		rLen = 0;
+		rLoc = 385;
+		rType = 0;
+		vrLen = 590;
+		vrLoc = 0;
+	};
+	6DED33B90DADF2BD00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED33250DADE70C00A2F30F /* SPIWindow.cpp */;
+		name = "SPIWindow.cpp: 18";
+		rLen = 0;
+		rLoc = 420;
+		rType = 0;
+		vrLen = 1086;
+		vrLoc = 0;
+	};
+	6DED33BA0DADF2BD00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6D622CE90D8ED11400428D9A /* BaoAdc.h */;
+		name = "BaoAdc.h: OFFSETY_SILAB";
+		rLen = 0;
+		rLoc = 297;
+		rType = 0;
+		vrLen = 576;
+		vrLoc = 0;
+	};
+	6DED33BB0DADF2BD00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6D41F30A064771A8009E5976 /* PIContainerQuartz.h */;
+		name = "PIContainerQuartz.h: 28";
+		rLen = 0;
+		rLoc = 657;
+		rType = 0;
+		vrLen = 698;
+		vrLoc = 0;
+	};
+	6DED33BC0DADF2BD00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6D8292EC0623F784009E5976 /* PIControl.h */;
+		name = "PIControl.h: 1";
+		rLen = 0;
+		rLoc = 0;
+		rType = 0;
+		vrLen = 578;
+		vrLoc = 0;
+	};
+	6DED33BD0DADF2BD00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DF012F40CBF6A510026E580 /* PIPeriodQuartz.h */;
+		name = "PIPeriodQuartz.h: InternalTimerFunction";
+		rLen = 0;
+		rLoc = 323;
+		rType = 0;
+		vrLen = 584;
+		vrLoc = 0;
+	};
+	6DED33BE0DADF2BD00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6D98FCF4062C1CDB009E5976 /* PIWindowQuartz.h */;
+		name = "PIWindowQuartz.h: IfSensitive";
+		rLen = 0;
+		rLoc = 1114;
+		rType = 0;
+		vrLen = 638;
+		vrLoc = 0;
+	};
+	6DED33BF0DADF2BD00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DEA831E0C7F162300B7D5DD /* pistdwdgmosx.h */;
+		name = "pistdwdgmosx.h: 98";
+		rLen = 0;
+		rLoc = 2480;
+		rType = 0;
+		vrLen = 706;
+		vrLoc = 0;
+	};
+	6DED33C00DADF2BD00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6D189BFE0619C1F5009E5976 /* piwdgmosx.h */;
+		name = "piwdgmosx.h: 14";
+		rLen = 0;
+		rLoc = 229;
+		rType = 0;
+		vrLen = 573;
+		vrLoc = 0;
+	};
+	6DED33C10DADF2BD00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED73900D8FA59000D85368 /* RegisterWindow.cpp */;
+		name = "RegisterWindow.cpp: 46";
+		rLen = 0;
+		rLoc = 173;
+		rType = 0;
+		vrLen = 698;
+		vrLoc = 556;
+	};
+	6DED33C20DADF2BD00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED738F0D8FA59000D85368 /* RegisterWindow.h */;
+		name = "RegisterWindow.h: RR_SIZE";
+		rLen = 0;
+		rLoc = 408;
+		rType = 0;
+		vrLen = 941;
+		vrLoc = 1218;
+	};
+	6DED33C30DADF2BD00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED33240DADE70C00A2F30F /* SPIWindow.h */;
+		name = "SPIWindow.h: spiDataReceive";
+		rLen = 0;
+		rLoc = 726;
+		rType = 0;
+		vrLen = 633;
+		vrLoc = 131;
+	};
+	6DED33C40DADF2BD00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6D41F30A064771A8009E5976 /* PIContainerQuartz.h */;
+		name = "PIContainerQuartz.h: 28";
+		rLen = 0;
+		rLoc = 657;
+		rType = 0;
+		vrLen = 698;
+		vrLoc = 0;
+	};
+	6DED33C50DADF2BD00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6D8292EC0623F784009E5976 /* PIControl.h */;
+		name = "PIControl.h: 1";
+		rLen = 0;
+		rLoc = 0;
+		rType = 0;
+		vrLen = 578;
+		vrLoc = 0;
+	};
+	6DED33C60DADF2BD00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DF012F40CBF6A510026E580 /* PIPeriodQuartz.h */;
+		name = "PIPeriodQuartz.h: InternalTimerFunction";
+		rLen = 0;
+		rLoc = 323;
+		rType = 0;
+		vrLen = 584;
+		vrLoc = 0;
+	};
+	6DED33C70DADF2BD00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6D98FCF4062C1CDB009E5976 /* PIWindowQuartz.h */;
+		name = "PIWindowQuartz.h: IfSensitive";
+		rLen = 0;
+		rLoc = 1114;
+		rType = 0;
+		vrLen = 638;
+		vrLoc = 0;
+	};
+	6DED33C80DADF2BD00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DEA831E0C7F162300B7D5DD /* pistdwdgmosx.h */;
+		name = "pistdwdgmosx.h: 98";
+		rLen = 0;
+		rLoc = 2480;
+		rType = 0;
+		vrLen = 706;
+		vrLoc = 0;
+	};
+	6DED33C90DADF2BD00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6D189BFE0619C1F5009E5976 /* piwdgmosx.h */;
+		name = "piwdgmosx.h: 14";
+		rLen = 0;
+		rLoc = 229;
+		rType = 0;
+		vrLen = 573;
+		vrLoc = 0;
+	};
+	6DED33CA0DADF2BD00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED738F0D8FA59000D85368 /* RegisterWindow.h */;
+		name = "RegisterWindow.h: RR_SIZE";
+		rLen = 0;
+		rLoc = 408;
+		rType = 0;
+		vrLen = 418;
+		vrLoc = 0;
+	};
+	6DED33CB0DADF2BD00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED33250DADE70C00A2F30F /* SPIWindow.cpp */;
+		name = ": PIWindow((PIMsgHandler *)par, \"SPI Register Window\", PIWK_dialog, 500, 400, 50, 150)";
+		rLen = 87;
+		rLoc = 277;
+		rType = 0;
+		vrLen = 1074;
+		vrLoc = 0;
+	};
+	6DED33CC0DADF2BD00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED33240DADE70C00A2F30F /* SPIWindow.h */;
+		name = "SPIWindow.h: 16";
+		rLen = 0;
+		rLoc = 271;
+		rType = 0;
+		vrLen = 661;
+		vrLoc = 27;
+	};
+	6DED33CD0DADF2BD00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED73900D8FA59000D85368 /* RegisterWindow.cpp */;
+		name = "RegisterWindow.cpp: 46";
+		rLen = 0;
+		rLoc = 173;
+		rType = 0;
+		vrLen = 698;
+		vrLoc = 556;
+	};
+	6DED33CE0DADF2BD00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED33240DADE70C00A2F30F /* SPIWindow.h */;
+		name = "SPIWindow.h: 16";
+		rLen = 0;
+		rLoc = 271;
+		rType = 0;
+		vrLen = 606;
+		vrLoc = 154;
+	};
+	6DED33CF0DADF2BD00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED738F0D8FA59000D85368 /* RegisterWindow.h */;
+		name = "RegisterWindow.h: RR_SIZE";
+		rLen = 0;
+		rLoc = 408;
+		rType = 0;
+		vrLen = 941;
+		vrLoc = 1218;
+	};
+	6DED33D00DADF2BD00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED33240DADE70C00A2F30F /* SPIWindow.h */;
+		name = "SPIWindow.h: spiDataReceive";
+		rLen = 0;
+		rLoc = 726;
+		rType = 0;
+		vrLen = 633;
+		vrLoc = 131;
+	};
+	6DED33D10DADF2BD00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED33250DADE70C00A2F30F /* SPIWindow.cpp */;
+		name = "SPIWindow.cpp: 52";
+		rLen = 0;
+		rLoc = 1803;
+		rType = 0;
+		vrLen = 848;
+		vrLoc = 1287;
+	};
+	6DED33EB0DADFE2700A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED33250DADE70C00A2F30F /* SPIWindow.cpp */;
+		name = "SPIWindow.cpp: 52";
+		rLen = 0;
+		rLoc = 1803;
 		rType = 0;
 		vrLen = 459;
-		vrLoc = 7954;
-	};
-	6DED24990DA60AED0095CEF6 /* PBXTextBookmark */ = {
+		vrLoc = 1514;
+	};
+	6DED33EC0DADFE2700A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		comments = "error: 'resetRegister' was not declared in this scope";
+		fRef = 6DED73900D8FA59000D85368 /* RegisterWindow.cpp */;
+		rLen = 1;
+		rLoc = 315;
+		rType = 1;
+	};
+	6DED33ED0DADFE2700A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED33250DADE70C00A2F30F /* SPIWindow.cpp */;
+		name = "SPIWindow.cpp: 52";
+		rLen = 0;
+		rLoc = 1803;
+		rType = 0;
+		vrLen = 459;
+		vrLoc = 1514;
+	};
+	6DED33EE0DADFE2700A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED73900D8FA59000D85368 /* RegisterWindow.cpp */;
+		name = "delete resetRegister;";
+		rLen = 28;
+		rLoc = 12810;
+		rType = 0;
+		vrLen = 472;
+		vrLoc = 13411;
+	};
+	6DED33F50DADFEFA00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6D622CE90D8ED11400428D9A /* BaoAdc.h */;
+		name = "BaoAdc.h: OFFSETY_SILAB";
+		rLen = 0;
+		rLoc = 297;
+		rType = 0;
+		vrLen = 576;
+		vrLoc = 0;
+	};
+	6DED33F60DADFEFA00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED33250DADE70C00A2F30F /* SPIWindow.cpp */;
+		name = "SPIWindow.cpp: 30";
+		rLen = 0;
+		rLoc = 1085;
+		rType = 0;
+		vrLen = 1086;
+		vrLoc = 0;
+	};
+	6DED33F70DADFEFA00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6D622CE90D8ED11400428D9A /* BaoAdc.h */;
+		name = "BaoAdc.h: OFFSETY_SILAB";
+		rLen = 0;
+		rLoc = 297;
+		rType = 0;
+		vrLen = 576;
+		vrLoc = 0;
+	};
+	6DED33F80DADFEFA00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED33250DADE70C00A2F30F /* SPIWindow.cpp */;
+		name = "SPIWindow.cpp: 30";
+		rLen = 0;
+		rLoc = 1085;
+		rType = 0;
+		vrLen = 1086;
+		vrLoc = 0;
+	};
+	6DED33F90DADFEFA00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED73900D8FA59000D85368 /* RegisterWindow.cpp */;
+		name = "RegisterWindow.cpp: 394";
+		rLen = 0;
+		rLoc = 13731;
+		rType = 0;
+		vrLen = 762;
+		vrLoc = 13955;
+	};
+	6DED33FA0DADFEFA00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED33250DADE70C00A2F30F /* SPIWindow.cpp */;
+		name = "SPIWindow.cpp: 54";
+		rLen = 0;
+		rLoc = 1853;
+		rType = 0;
+		vrLen = 846;
+		vrLoc = 1287;
+	};
+	6DED33FB0DADFEFA00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6D622CE80D8ED11400428D9A /* BaoAdc.cpp */;
+		name = "BaoAdc.cpp: 76";
+		rLen = 0;
+		rLoc = 2284;
+		rType = 0;
+		vrLen = 868;
+		vrLoc = 123;
+	};
+	6DED33FC0DADFEFA00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED738F0D8FA59000D85368 /* RegisterWindow.h */;
+		name = "RegisterWindow.h: RR_SIZE";
+		rLen = 0;
+		rLoc = 408;
+		rType = 0;
+		vrLen = 941;
+		vrLoc = 1218;
+	};
+	6DED33FD0DADFEFA00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED33250DADE70C00A2F30F /* SPIWindow.cpp */;
+		name = "SPIWindow.cpp: 54";
+		rLen = 0;
+		rLoc = 1853;
+		rType = 0;
+		vrLen = 846;
+		vrLoc = 1287;
+	};
+	6DED33FE0DADFEFA00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6D622CE80D8ED11400428D9A /* BaoAdc.cpp */;
+		name = "BaoAdc.cpp: 76";
+		rLen = 0;
+		rLoc = 2284;
+		rType = 0;
+		vrLen = 868;
+		vrLoc = 123;
+	};
+	6DED33FF0DADFEFA00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED738F0D8FA59000D85368 /* RegisterWindow.h */;
+		name = "RegisterWindow.h: 110";
+		rLen = 0;
+		rLoc = 2349;
+		rType = 0;
+		vrLen = 698;
+		vrLoc = 2417;
+	};
+	6DED34020DAE002100A2F30F /* SIPllWindow.h */ = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {783, 616}}";
+			sepNavSelRange = "{311, 0}";
+			sepNavVisRect = "{{0, 117}, {783, 429}}";
+		};
+	};
+	6DED34030DAE002100A2F30F /* SIPllWindow.cpp */ = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {819, 840}}";
+			sepNavSelRange = "{1370, 391}";
+			sepNavVisRect = "{{0, 449}, {819, 391}}";
+		};
+	};
+	6DED34390DAE0C3200A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED73900D8FA59000D85368 /* RegisterWindow.cpp */;
+		name = "RegisterWindow.cpp: 354";
+		rLen = 0;
+		rLoc = 12836;
+		rType = 0;
+		vrLen = 477;
+		vrLoc = 13411;
+	};
+	6DED343A0DAE0C3200A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		comments = "error: 'OFFSETY_Pll' was not declared in this scope";
+		fRef = 6DED34030DAE002100A2F30F /* SIPllWindow.cpp */;
+		rLen = 1;
+		rLoc = 19;
+		rType = 1;
+	};
+	6DED343B0DAE0C3200A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED73900D8FA59000D85368 /* RegisterWindow.cpp */;
+		name = "RegisterWindow.cpp: 354";
+		rLen = 0;
+		rLoc = 12836;
+		rType = 0;
+		vrLen = 477;
+		vrLoc = 13411;
+	};
+	6DED343C0DAE0C3200A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34030DAE002100A2F30F /* SIPllWindow.cpp */;
+		name = "ycoord += OFFSETY_Pll;";
+		rLen = 23;
+		rLoc = 496;
+		rType = 0;
+		vrLen = 609;
+		vrLoc = 0;
+	};
+	6DED34410DAE0CCD00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34030DAE002100A2F30F /* SIPllWindow.cpp */;
+		name = "ycoord += OFFSETY_Pll;";
+		rLen = 23;
+		rLoc = 496;
+		rType = 0;
+		vrLen = 609;
+		vrLoc = 0;
+	};
+	6DED34420DAE0CCD00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		comments = "error: duplicate case value";
+		fRef = 6D622CE80D8ED11400428D9A /* BaoAdc.cpp */;
+		rLen = 1;
+		rLoc = 93;
+		rType = 1;
+	};
+	6DED34430DAE0CCD00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34030DAE002100A2F30F /* SIPllWindow.cpp */;
+		name = "ycoord += OFFSETY_Pll;";
+		rLen = 23;
+		rLoc = 496;
+		rType = 0;
+		vrLen = 609;
+		vrLoc = 0;
+	};
+	6DED34440DAE0CCD00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6D622CE80D8ED11400428D9A /* BaoAdc.cpp */;
+		name = "case 10101:     // Apparition de la fenetre de SiPll Register";
+		rLen = 66;
+		rLoc = 2314;
+		rType = 0;
+		vrLen = 496;
+		vrLoc = 1944;
+	};
+	6DED344B0DAE0D2700A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED73900D8FA59000D85368 /* RegisterWindow.cpp */;
+		name = "RegisterWindow.cpp: 390";
+		rLen = 0;
+		rLoc = 13629;
+		rType = 0;
+		vrLen = 687;
+		vrLoc = 14240;
+	};
+	6DED344C0DAE0D2700A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED738F0D8FA59000D85368 /* RegisterWindow.h */;
+		name = "RegisterWindow.h: 9";
+		rLen = 159;
+		rLoc = 206;
+		rType = 0;
+		vrLen = 418;
+		vrLoc = 0;
+	};
+	6DED344D0DAE0D2700A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34020DAE002100A2F30F /* SIPllWindow.h */;
+		name = "SIPllWindow.h: SIPll_MSG";
+		rLen = 0;
+		rLoc = 421;
+		rType = 0;
+		vrLen = 437;
+		vrLoc = 234;
+	};
+	6DED344E0DAE0D2700A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED33250DADE70C00A2F30F /* SPIWindow.cpp */;
+		name = "SPIWindow.cpp: 70";
+		rLen = 0;
+		rLoc = 2196;
+		rType = 0;
+		vrLen = 540;
+		vrLoc = 1803;
+	};
+	6DED344F0DAE0D2700A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34030DAE002100A2F30F /* SIPllWindow.cpp */;
+		name = SIPll_MSG;
+		rLen = 9;
+		rLoc = 457;
+		rType = 0;
+		vrLen = 1035;
+		vrLoc = 33;
+	};
+	6DED34500DAE0D2700A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED73900D8FA59000D85368 /* RegisterWindow.cpp */;
+		name = "RegisterWindow.cpp: 390";
+		rLen = 0;
+		rLoc = 13629;
+		rType = 0;
+		vrLen = 687;
+		vrLoc = 14240;
+	};
+	6DED34510DAE0D2700A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34020DAE002100A2F30F /* SIPllWindow.h */;
+		name = "SIPllWindow.h: 10";
+		rLen = 0;
+		rLoc = 694;
+		rType = 0;
+		vrLen = 140;
+		vrLoc = 0;
+	};
+	6DED34520DAE0D2700A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED738F0D8FA59000D85368 /* RegisterWindow.h */;
+		name = "RegisterWindow.h: 9";
+		rLen = 159;
+		rLoc = 206;
+		rType = 0;
+		vrLen = 418;
+		vrLoc = 0;
+	};
+	6DED34530DAE0D2700A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34020DAE002100A2F30F /* SIPllWindow.h */;
+		name = "SIPllWindow.h: 36";
+		rLen = 0;
+		rLoc = 682;
+		rType = 0;
+		vrLen = 435;
+		vrLoc = 195;
+	};
+	6DED34540DAE0D2700A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34030DAE002100A2F30F /* SIPllWindow.cpp */;
+		name = SIPll_MSG;
+		rLen = 9;
+		rLoc = 457;
+		rType = 0;
+		vrLen = 1035;
+		vrLoc = 33;
+	};
+	6DED34550DAE0D2700A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34020DAE002100A2F30F /* SIPllWindow.h */;
+		name = "SIPllWindow.h: SIPll_MSG";
+		rLen = 0;
+		rLoc = 421;
+		rType = 0;
+		vrLen = 437;
+		vrLoc = 234;
+	};
+	6DED34560DAE0D2700A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED33250DADE70C00A2F30F /* SPIWindow.cpp */;
+		name = "SPIWindow.cpp: 70";
+		rLen = 0;
+		rLoc = 2196;
+		rType = 0;
+		vrLen = 540;
+		vrLoc = 1803;
+	};
+	6DED34570DAE0D2700A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34030DAE002100A2F30F /* SIPllWindow.cpp */;
+		name = "SIPllWindow.cpp: 15";
+		rLen = 0;
+		rLoc = 371;
+		rType = 0;
+		vrLen = 1018;
+		vrLoc = 23;
+	};
+	6DED34580DAE0D2700A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED738F0D8FA59000D85368 /* RegisterWindow.h */;
+		name = "RegisterWindow.h: trailerTagRegisterLSBIdentifier";
+		rLen = 0;
+		rLoc = 2014;
+		rType = 0;
+		vrLen = 844;
+		vrLoc = 1876;
+	};
+	6DED34590DAE0D2700A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED73900D8FA59000D85368 /* RegisterWindow.cpp */;
+		name = "RegisterWindow.cpp: 409";
+		rLen = 0;
+		rLoc = 14092;
+		rType = 0;
+		vrLen = 654;
+		vrLoc = 14274;
+	};
+	6DED345A0DAE0D2700A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED33240DADE70C00A2F30F /* SPIWindow.h */;
+		name = "SPIWindow.h: 16";
+		rLen = 0;
+		rLoc = 271;
+		rType = 0;
+		vrLen = 629;
+		vrLoc = 135;
+	};
+	6DED345B0DAE0D2700A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED33250DADE70C00A2F30F /* SPIWindow.cpp */;
+		name = "SPIWindow.cpp: 31";
+		rLen = 0;
+		rLoc = 1086;
+		rType = 0;
+		vrLen = 1087;
+		vrLoc = 0;
+	};
+	6DED345C0DAE0D2700A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34030DAE002100A2F30F /* SIPllWindow.cpp */;
+		name = OFFSETY_Pll;
+		rLen = 11;
+		rLoc = 506;
+		rType = 0;
+		vrLen = 1042;
+		vrLoc = 0;
+	};
+	6DED345D0DAE0D2700A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34020DAE002100A2F30F /* SIPllWindow.h */;
+		name = "SIPllWindow.h: OFFSETY_Pll";
+		rLen = 0;
+		rLoc = 376;
+		rType = 0;
+		vrLen = 529;
+		vrLoc = 135;
+	};
+	6DED345E0DAE0D2700A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6D622CE90D8ED11400428D9A /* BaoAdc.h */;
+		name = "BaoAdc.h: OFFSETY_SILAB";
+		rLen = 0;
+		rLoc = 297;
+		rType = 0;
+		vrLen = 615;
+		vrLoc = 0;
+	};
+	6DED345F0DAE0D2700A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6D622CE80D8ED11400428D9A /* BaoAdc.cpp */;
+		name = "BaoAdc.cpp: silabWindow";
+		rLen = 0;
+		rLoc = 636;
+		rType = 0;
+		vrLen = 906;
+		vrLoc = 146;
+	};
+	6DED34600DAE0D2700A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED738F0D8FA59000D85368 /* RegisterWindow.h */;
+		name = "RegisterWindow.h: 110";
+		rLen = 0;
+		rLoc = 2349;
+		rType = 0;
+		vrLen = 698;
+		vrLoc = 2417;
+	};
+	6DED34610DAE0D2700A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6D622CE80D8ED11400428D9A /* BaoAdc.cpp */;
+		name = "BaoAdc.cpp: silabWindow";
+		rLen = 0;
+		rLoc = 636;
+		rType = 0;
+		vrLen = 905;
+		vrLoc = 147;
+	};
+	6DED34620DAE0D2700A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED738F0D8FA59000D85368 /* RegisterWindow.h */;
+		name = "RegisterWindow.h: trailerTagRegisterLSBIdentifier";
+		rLen = 0;
+		rLoc = 2014;
+		rType = 0;
+		vrLen = 844;
+		vrLoc = 1876;
+	};
+	6DED34630DAE0D2700A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED73900D8FA59000D85368 /* RegisterWindow.cpp */;
+		name = "RegisterWindow.cpp: 46";
+		rLen = 0;
+		rLoc = 173;
+		rType = 0;
+		vrLen = 1090;
+		vrLoc = 748;
+	};
+	6DED34640DAE0D2700A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED33240DADE70C00A2F30F /* SPIWindow.h */;
+		name = "SPIWindow.h: 16";
+		rLen = 0;
+		rLoc = 271;
+		rType = 0;
+		vrLen = 636;
+		vrLoc = 128;
+	};
+	6DED34650DAE0D2700A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34020DAE002100A2F30F /* SIPllWindow.h */;
+		name = "PIApplication *par";
+		rLen = 18;
+		rLoc = 480;
+		rType = 0;
+		vrLen = 491;
+		vrLoc = 139;
+	};
+	6DED34660DAE0D2700A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED33250DADE70C00A2F30F /* SPIWindow.cpp */;
+		name = "SPIWindow.cpp: 24";
+		rLen = 0;
+		rLoc = 765;
+		rType = 0;
+		vrLen = 1087;
+		vrLoc = 0;
+	};
+	6DED34670DAE0D2700A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34020DAE002100A2F30F /* SIPllWindow.h */;
+		name = "SIPllWindow.h: 18";
+		rLen = 0;
+		rLoc = 294;
+		rType = 0;
+		vrLen = 472;
+		vrLoc = 166;
+	};
+	6DED34680DAE0D2700A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED73900D8FA59000D85368 /* RegisterWindow.cpp */;
+		name = "RegisterWindow.cpp: 188";
+		rLen = 0;
+		rLoc = 5808;
+		rType = 0;
+		vrLen = 1481;
+		vrLoc = 5533;
+	};
+	6DED34690DAE0D2700A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34020DAE002100A2F30F /* SIPllWindow.h */;
+		name = "SIPllWindow.h: dataField";
+		rLen = 0;
+		rLoc = 681;
+		rType = 0;
+		vrLen = 509;
+		vrLoc = 139;
+	};
+	6DED346A0DAE0D2700A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED73900D8FA59000D85368 /* RegisterWindow.cpp */;
+		name = "RegisterWindow.cpp: 409";
+		rLen = 0;
+		rLoc = 14092;
+		rType = 0;
+		vrLen = 654;
+		vrLoc = 14274;
+	};
+	6DED346B0DAE0D2700A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED33250DADE70C00A2F30F /* SPIWindow.cpp */;
+		name = "SPIWindow.cpp: 74";
+		rLen = 0;
+		rLoc = 2257;
+		rType = 0;
+		vrLen = 594;
+		vrLoc = 1749;
+	};
+	6DED346C0DAE0D2700A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED33240DADE70C00A2F30F /* SPIWindow.h */;
+		name = "SPIWindow.h: 16";
+		rLen = 0;
+		rLoc = 271;
+		rType = 0;
+		vrLen = 629;
+		vrLoc = 135;
+	};
+	6DED346D0DAE0D2700A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED33250DADE70C00A2F30F /* SPIWindow.cpp */;
+		name = "SPIWindow.cpp: 31";
+		rLen = 0;
+		rLoc = 1086;
+		rType = 0;
+		vrLen = 1087;
+		vrLoc = 0;
+	};
+	6DED346E0DAE0D2700A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34030DAE002100A2F30F /* SIPllWindow.cpp */;
+		name = OFFSETY_Pll;
+		rLen = 11;
+		rLoc = 506;
+		rType = 0;
+		vrLen = 1042;
+		vrLoc = 0;
+	};
+	6DED346F0DAE0D2700A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34020DAE002100A2F30F /* SIPllWindow.h */;
+		name = "SIPllWindow.h: OFFSETY_Pll";
+		rLen = 0;
+		rLoc = 376;
+		rType = 0;
+		vrLen = 529;
+		vrLoc = 135;
+	};
+	6DED34700DAE0D2700A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6D622CE90D8ED11400428D9A /* BaoAdc.h */;
+		name = "BaoAdc.h: OFFSETY_SILAB";
+		rLen = 0;
+		rLoc = 297;
+		rType = 0;
+		vrLen = 615;
+		vrLoc = 0;
+	};
+	6DED34710DAE0D2700A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6D622CE80D8ED11400428D9A /* BaoAdc.cpp */;
+		name = "BaoAdc.cpp: 50";
+		rLen = 0;
+		rLoc = 1405;
+		rType = 0;
+		vrLen = 792;
+		vrLoc = 890;
+	};
+	6DED34740DAE0D5000A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34030DAE002100A2F30F /* SIPllWindow.cpp */;
+		name = "SIPllWindow.cpp: 26";
+		rLen = 0;
+		rLoc = 862;
+		rType = 0;
+		vrLen = 1019;
+		vrLoc = 23;
+	};
+	6DED34750DAE0D5000A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6D622CE80D8ED11400428D9A /* BaoAdc.cpp */;
+		name = "BaoAdc.cpp: 50";
+		rLen = 0;
+		rLoc = 1405;
+		rType = 0;
+		vrLen = 792;
+		vrLoc = 890;
+	};
+	6DED34780DAE0D5E00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34030DAE002100A2F30F /* SIPllWindow.cpp */;
+		name = "SIPllWindow.cpp: 15";
+		rLen = 0;
+		rLoc = 359;
+		rType = 0;
+		vrLen = 1019;
+		vrLoc = 23;
+	};
+	6DED34790DAE0D5E00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6D622CE80D8ED11400428D9A /* BaoAdc.cpp */;
+		name = "BaoAdc.cpp: 50";
+		rLen = 0;
+		rLoc = 1405;
+		rType = 0;
+		vrLen = 792;
+		vrLoc = 890;
+	};
+	6DED347C0DAE0D8A00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34030DAE002100A2F30F /* SIPllWindow.cpp */;
+		name = "SIPllWindow.cpp: 29";
+		rLen = 0;
+		rLoc = 1082;
+		rType = 0;
+		vrLen = 950;
+		vrLoc = 402;
+	};
+	6DED347D0DAE0D8A00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6D622CE80D8ED11400428D9A /* BaoAdc.cpp */;
+		name = "BaoAdc.cpp: 50";
+		rLen = 0;
+		rLoc = 1405;
+		rType = 0;
+		vrLen = 792;
+		vrLoc = 890;
+	};
+	6DED34860DAE115500A2F30F /* MixReg.h */ = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {783, 630}}";
+			sepNavSelRange = "{471, 0}";
+			sepNavVisRect = "{{0, 187}, {783, 429}}";
+		};
+	};
+	6DED34870DAE115500A2F30F /* MixReg.cpp */ = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {819, 882}}";
+			sepNavSelRange = "{592, 0}";
+			sepNavVisRect = "{{0, 453}, {819, 429}}";
+		};
+	};
+	6DED349D0DAE127F00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34030DAE002100A2F30F /* SIPllWindow.cpp */;
+		name = "SIPllWindow.cpp: 32";
+		rLen = 0;
+		rLoc = 1202;
+		rType = 0;
+		vrLen = 1045;
+		vrLoc = 519;
+	};
+	6DED349E0DAE127F00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6D622CE80D8ED11400428D9A /* BaoAdc.cpp */;
+		name = "BaoAdc.cpp: 58";
+		rLen = 0;
+		rLoc = 1638;
+		rType = 0;
+		vrLen = 792;
+		vrLoc = 890;
+	};
+	6DED349F0DAE127F00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34030DAE002100A2F30F /* SIPllWindow.cpp */;
+		name = OFFSETY_Pll;
+		rLen = 11;
+		rLoc = 506;
+		rType = 0;
+		vrLen = 1158;
+		vrLoc = 167;
+	};
+	6DED34A00DAE127F00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED33250DADE70C00A2F30F /* SPIWindow.cpp */;
+		name = "SPIWindow.cpp: NewField";
+		rLen = 0;
+		rLoc = 1867;
+		rType = 0;
+		vrLen = 953;
+		vrLoc = 1017;
+	};
+	6DED34A10DAE127F00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED73900D8FA59000D85368 /* RegisterWindow.cpp */;
+		name = "RegisterWindow.cpp: 11";
+		rLen = 0;
+		rLoc = 173;
+		rType = 0;
+		vrLen = 1015;
+		vrLoc = 0;
+	};
+	6DED34A20DAE127F00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34860DAE115500A2F30F /* MixReg.h */;
+		name = "MixReg.h: 13";
+		rLen = 0;
+		rLoc = 180;
+		rType = 0;
+		vrLen = 524;
+		vrLoc = 0;
+	};
+	6DED34A30DAE127F00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34870DAE115500A2F30F /* MixReg.cpp */;
+		name = "#include \"MixReg.h\"";
+		rLen = 20;
+		rLoc = 137;
+		rType = 0;
+		vrLen = 645;
+		vrLoc = 0;
+	};
+	6DED34A40DAE127F00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34020DAE002100A2F30F /* SIPllWindow.h */;
+		name = "#include \"MixReg.h\"";
+		rLen = 20;
+		rLoc = 333;
+		rType = 0;
+		vrLen = 644;
+		vrLoc = 31;
+	};
+	6DED34A50DAE127F00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED738F0D8FA59000D85368 /* RegisterWindow.h */;
+		name = "RegisterWindow.h: 19";
+		rLen = 0;
+		rLoc = 364;
+		rType = 0;
+		vrLen = 507;
+		vrLoc = 0;
+	};
+	6DED34A60DAE127F00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED33240DADE70C00A2F30F /* SPIWindow.h */;
+		name = "PIText* NewField(char * text,int sx, int sy,int px, int py, Boolean status);";
+		rLen = 79;
+		rLoc = 512;
+		rType = 0;
+		vrLen = 635;
+		vrLoc = 128;
+	};
+	6DED34A70DAE127F00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6D622CE80D8ED11400428D9A /* BaoAdc.cpp */;
+		name = "BaoAdc.cpp: 58";
+		rLen = 0;
+		rLoc = 1638;
+		rType = 0;
+		vrLen = 792;
+		vrLoc = 890;
+	};
+	6DED34A80DAE127F00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34030DAE002100A2F30F /* SIPllWindow.cpp */;
+		name = OFFSETY_Pll;
+		rLen = 11;
+		rLoc = 506;
+		rType = 0;
+		vrLen = 1158;
+		vrLoc = 167;
+	};
+	6DED34A90DAE127F00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED33250DADE70C00A2F30F /* SPIWindow.cpp */;
+		name = "SPIWindow.cpp: NewField";
+		rLen = 0;
+		rLoc = 1867;
+		rType = 0;
+		vrLen = 953;
+		vrLoc = 1017;
+	};
+	6DED34AA0DAE127F00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED33240DADE70C00A2F30F /* SPIWindow.h */;
+		name = "PIText* NewField(char * text,int sx, int sy,int px, int py, Boolean status);";
+		rLen = 79;
+		rLoc = 512;
+		rType = 0;
+		vrLen = 633;
+		vrLoc = 131;
+	};
+	6DED34AB0DAE127F00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34020DAE002100A2F30F /* SIPllWindow.h */;
+		name = "SIPllWindow.h: SIPll_SIZE";
+		rLen = 0;
+		rLoc = 398;
+		rType = 0;
+		vrLen = 552;
+		vrLoc = 135;
+	};
+	6DED34AC0DAE127F00A2F30F /* PBXTextBookmark */ = {
 		isa = PBXTextBookmark;
 		fRef = 6DED738F0D8FA59000D85368 /* RegisterWindow.h */;
 		name = "RegisterWindow.h: CreateCheckBox";
 		rLen = 0;
-		rLoc = 741;
-		rType = 0;
-		vrLen = 545;
-		vrLoc = 435;
-	};
-	6DED249A0DA60AED0095CEF6 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DEA831E0C7F162300B7D5DD /* pistdwdgmosx.h */;
-		name = "pistdwdgmosx.h: PICheckBoxQuartz";
-		rLen = 116;
-		rLoc = 2170;
-		rType = 0;
-		vrLen = 685;
-		vrLoc = 2092;
-	};
-	6DED249B0DA60AED0095CEF6 /* PBXTextBookmark */ = {
+		rLoc = 447;
+		rType = 0;
+		vrLen = 915;
+		vrLoc = 346;
+	};
+	6DED34AD0DAE127F00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34860DAE115500A2F30F /* MixReg.h */;
+		name = "MixReg.h: 13";
+		rLen = 0;
+		rLoc = 1010;
+		rType = 0;
+		vrLen = 189;
+		vrLoc = 0;
+	};
+	6DED34AE0DAE127F00A2F30F /* PBXTextBookmark */ = {
 		isa = PBXTextBookmark;
 		fRef = 6DED738F0D8FA59000D85368 /* RegisterWindow.h */;
-		name = "RegisterWindow.h: vector";
-		rLen = 0;
-		rLoc = 981;
-		rType = 0;
-		vrLen = 688;
-		vrLoc = 435;
-	};
-	6DED24A60DA60B380095CEF6 /* PBXTextBookmark */ = {
+		name = "RegisterWindow.h: 27";
+		rLen = 0;
+		rLoc = 447;
+		rType = 0;
+		vrLen = 951;
+		vrLoc = 346;
+	};
+	6DED34AF0DAE127F00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34860DAE115500A2F30F /* MixReg.h */;
+		name = "MixReg.h: 30";
+		rLen = 0;
+		rLoc = 1010;
+		rType = 0;
+		vrLen = 758;
+		vrLoc = 0;
+	};
+	6DED34B00DAE127F00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED738F0D8FA59000D85368 /* RegisterWindow.h */;
+		name = "RegisterWindow.h: 9";
+		rLen = 158;
+		rLoc = 206;
+		rType = 0;
+		vrLen = 508;
+		vrLoc = 0;
+	};
+	6DED34B10DAE127F00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34860DAE115500A2F30F /* MixReg.h */;
+		name = "MixReg.h: 13";
+		rLen = 0;
+		rLoc = 180;
+		rType = 0;
+		vrLen = 524;
+		vrLoc = 0;
+	};
+	6DED34B20DAE127F00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34870DAE115500A2F30F /* MixReg.cpp */;
+		name = "MixReg.cpp: 12";
+		rLen = 0;
+		rLoc = 1274;
+		rType = 0;
+		vrLen = 158;
+		vrLoc = 0;
+	};
+	6DED34B30DAE127F00A2F30F /* PBXTextBookmark */ = {
 		isa = PBXTextBookmark;
 		fRef = 6DED73900D8FA59000D85368 /* RegisterWindow.cpp */;
-		name = "RegisterWindow.cpp: 20";
-		rLen = 0;
-		rLoc = 389;
-		rType = 0;
-		vrLen = 695;
-		vrLoc = 140;
-	};
-	6DED24A70DA60B380095CEF6 /* PBXTextBookmark */ = {
+		name = "RegisterWindow.cpp: 11";
+		rLen = 0;
+		rLoc = 173;
+		rType = 0;
+		vrLen = 1015;
+		vrLoc = 0;
+	};
+	6DED34B40DAE127F00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34870DAE115500A2F30F /* MixReg.cpp */;
+		name = "MixReg.cpp: 48";
+		rLen = 0;
+		rLoc = 1274;
+		rType = 0;
+		vrLen = 645;
+		vrLoc = 0;
+	};
+	6DED34B50DAE127F00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34860DAE115500A2F30F /* MixReg.h */;
+		name = "MixReg.h: 13";
+		rLen = 0;
+		rLoc = 180;
+		rType = 0;
+		vrLen = 524;
+		vrLoc = 0;
+	};
+	6DED34B60DAE127F00A2F30F /* PBXTextBookmark */ = {
 		isa = PBXTextBookmark;
 		fRef = 6DED738F0D8FA59000D85368 /* RegisterWindow.h */;
-		name = "RegisterWindow.h: vector";
-		rLen = 0;
-		rLoc = 981;
-		rType = 0;
-		vrLen = 664;
-		vrLoc = 459;
-	};
-	6DED24CF0DA62E480095CEF6 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		comments = "error: no matching function for call to 'MixReg::CreateRadioButton(RegWind* const, const char [19], int, int, int, int, int, int)'";
+		name = "RegisterWindow.h: 9";
+		rLen = 158;
+		rLoc = 206;
+		rType = 0;
+		vrLen = 508;
+		vrLoc = 0;
+	};
+	6DED34B70DAE127F00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34860DAE115500A2F30F /* MixReg.h */;
+		name = "MixReg.h: 13";
+		rLen = 0;
+		rLoc = 180;
+		rType = 0;
+		vrLen = 524;
+		vrLoc = 0;
+	};
+	6DED34B80DAE127F00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34870DAE115500A2F30F /* MixReg.cpp */;
+		name = "#include \"MixReg.h\"";
+		rLen = 20;
+		rLoc = 137;
+		rType = 0;
+		vrLen = 645;
+		vrLoc = 0;
+	};
+	6DED34B90DAE127F00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34020DAE002100A2F30F /* SIPllWindow.h */;
+		name = "#include \"MixReg.h\"";
+		rLen = 20;
+		rLoc = 333;
+		rType = 0;
+		vrLen = 644;
+		vrLoc = 31;
+	};
+	6DED34BA0DAE127F00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED738F0D8FA59000D85368 /* RegisterWindow.h */;
+		name = "RegisterWindow.h: 19";
+		rLen = 0;
+		rLoc = 364;
+		rType = 0;
+		vrLen = 507;
+		vrLoc = 0;
+	};
+	6DED34BB0DAE127F00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED33240DADE70C00A2F30F /* SPIWindow.h */;
+		name = "SPIWindow.h: 19";
+		rLen = 0;
+		rLoc = 293;
+		rType = 0;
+		vrLen = 634;
+		vrLoc = 128;
+	};
+	6DED34BC0DAE135200A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6D622CE80D8ED11400428D9A /* BaoAdc.cpp */;
+		name = "BaoAdc.cpp: 88";
+		rLen = 0;
+		rLoc = 2328;
+		rType = 0;
+		vrLen = 496;
+		vrLoc = 1944;
+	};
+	6DED34BD0DAE135200A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		comments = "warning: passing 'double' for argument 5 to 'PIText* SIPllWind::NewField(char*, int, int, int, int, Boolean)'";
+		fRef = 6DED34030DAE002100A2F30F /* SIPllWindow.cpp */;
+		rLen = 1;
+		rLoc = 28;
+		rType = 1;
+	};
+	6DED34BE0DAE135200A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6D622CE80D8ED11400428D9A /* BaoAdc.cpp */;
+		name = "BaoAdc.cpp: 88";
+		rLen = 0;
+		rLoc = 2328;
+		rType = 0;
+		vrLen = 496;
+		vrLoc = 1944;
+	};
+	6DED34BF0DAE135200A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34030DAE002100A2F30F /* SIPllWindow.cpp */;
+		name = "addressField = NewField(\"AAAA\",120,20,POSX_COL1+150,ycoord-2.5*OFFSETY_Pll,true);";
+		rLen = 125;
+		rLoc = 960;
+		rType = 0;
+		vrLen = 848;
+		vrLoc = 609;
+	};
+	6DED34C00DAE135500A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34030DAE002100A2F30F /* SIPllWindow.cpp */;
+		name = "SIPllWindow.cpp: 32";
+		rLen = 0;
+		rLoc = 1202;
+		rType = 0;
+		vrLen = 1045;
+		vrLoc = 519;
+	};
+	6DED34C10DAE135500A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED33240DADE70C00A2F30F /* SPIWindow.h */;
+		name = "SPIWindow.h: 19";
+		rLen = 0;
+		rLoc = 293;
+		rType = 0;
+		vrLen = 634;
+		vrLoc = 128;
+	};
+	6DED34C20DAE135500A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6D622CE80D8ED11400428D9A /* BaoAdc.cpp */;
+		name = "BaoAdc.cpp: 58";
+		rLen = 0;
+		rLoc = 1638;
+		rType = 0;
+		vrLen = 662;
+		vrLoc = 0;
+	};
+	6DED34C30DAE135500A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		comments = "warning: passing 'double' for argument 5 to 'PIText* SIPllWind::NewField(char*, int, int, int, int, Boolean)'";
+		fRef = 6DED34030DAE002100A2F30F /* SIPllWindow.cpp */;
+		rLen = 1;
+		rLoc = 28;
+		rType = 1;
+	};
+	6DED34C40DAE135500A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED33240DADE70C00A2F30F /* SPIWindow.h */;
+		name = "SPIWindow.h: 19";
+		rLen = 0;
+		rLoc = 293;
+		rType = 0;
+		vrLen = 634;
+		vrLoc = 128;
+	};
+	6DED34C50DAE135500A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6D622CE80D8ED11400428D9A /* BaoAdc.cpp */;
+		name = "BaoAdc.cpp: 58";
+		rLen = 0;
+		rLoc = 1638;
+		rType = 0;
+		vrLen = 662;
+		vrLoc = 0;
+	};
+	6DED34C60DAE135500A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34030DAE002100A2F30F /* SIPllWindow.cpp */;
+		name = "addressField = NewField(\"AAAA\",120,20,POSX_COL1+150,ycoord-2.5*OFFSETY_Pll,true);";
+		rLen = 125;
+		rLoc = 960;
+		rType = 0;
+		vrLen = 1155;
+		vrLoc = 378;
+	};
+	6DED34D90DAE15B200A2F30F /* ADCWindow.h */ = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {819, 672}}";
+			sepNavSelRange = "{370, 0}";
+			sepNavVisRect = "{{0, 98}, {819, 391}}";
+		};
+	};
+	6DED34DA0DAE15B200A2F30F /* ADCWindow.cpp */ = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {819, 952}}";
+			sepNavSelRange = "{426, 0}";
+			sepNavVisRect = "{{0, 0}, {819, 391}}";
+		};
+	};
+	6DED34E00DAE15FE00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34860DAE115500A2F30F /* MixReg.h */;
+		name = "MixReg.h: 13";
+		rLen = 0;
+		rLoc = 180;
+		rType = 0;
+		vrLen = 389;
+		vrLoc = 0;
+	};
+	6DED34E10DAE15FE00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED33250DADE70C00A2F30F /* SPIWindow.cpp */;
+		name = "SPIWindow.cpp: 70";
+		rLen = 0;
+		rLoc = 2196;
+		rType = 0;
+		vrLen = 580;
+		vrLoc = 1763;
+	};
+	6DED34E20DAE15FE00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED33240DADE70C00A2F30F /* SPIWindow.h */;
+		name = "SPIWindow.h: 6";
+		rLen = 0;
+		rLoc = 127;
+		rType = 0;
+		vrLen = 567;
+		vrLoc = 196;
+	};
+	6DED34E30DAE15FE00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34020DAE002100A2F30F /* SIPllWindow.h */;
+		name = "SIPllWindow.h: 36";
+		rLen = 0;
+		rLoc = 596;
+		rType = 0;
+		vrLen = 438;
+		vrLoc = 256;
+	};
+	6DED34E40DAE15FE00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
 		fRef = 6DED73900D8FA59000D85368 /* RegisterWindow.cpp */;
-		rLen = 0;
-		rLoc = 63;
+		name = "RegisterWindow.cpp: 352";
+		rLen = 0;
+		rLoc = 13629;
+		rType = 0;
+		vrLen = 619;
+		vrLoc = 13486;
+	};
+	6DED34E50DAE15FE00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34030DAE002100A2F30F /* SIPllWindow.cpp */;
+		name = "SIPllWindow.cpp: 48";
+		rLen = 0;
+		rLoc = 1556;
+		rType = 0;
+		vrLen = 1000;
+		vrLoc = 609;
+	};
+	6DED34E60DAE15FE00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED738F0D8FA59000D85368 /* RegisterWindow.h */;
+		name = "RegisterWindow.h: 112";
+		rLen = 0;
+		rLoc = 2617;
+		rType = 0;
+		vrLen = 560;
+		vrLoc = 2058;
+	};
+	6DED34E70DAE15FE00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34D90DAE15B200A2F30F /* ADCWindow.h */;
+		name = "ADCWindow.h: 13";
+		rLen = 0;
+		rLoc = 772;
+		rType = 0;
+		vrLen = 199;
+		vrLoc = 0;
+	};
+	6DED34E80DAE15FE00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34030DAE002100A2F30F /* SIPllWindow.cpp */;
+		name = "SIPllWindow.cpp: 29";
+		rLen = 0;
+		rLoc = 985;
+		rType = 0;
+		vrLen = 1066;
+		vrLoc = 403;
+	};
+	6DED34E90DAE15FE00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34860DAE115500A2F30F /* MixReg.h */;
+		name = "MixReg.h: 13";
+		rLen = 0;
+		rLoc = 180;
+		rType = 0;
+		vrLen = 389;
+		vrLoc = 0;
+	};
+	6DED34EA0DAE15FE00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED73900D8FA59000D85368 /* RegisterWindow.cpp */;
+		name = "RegisterWindow.cpp: 352";
+		rLen = 0;
+		rLoc = 13629;
+		rType = 0;
+		vrLen = 577;
+		vrLoc = 13528;
+	};
+	6DED34EB0DAE15FE00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED738F0D8FA59000D85368 /* RegisterWindow.h */;
+		name = "RegisterWindow.h: 9";
+		rLen = 0;
+		rLoc = 224;
+		rType = 0;
+		vrLen = 463;
+		vrLoc = 0;
+	};
+	6DED34EC0DAE15FE00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34020DAE002100A2F30F /* SIPllWindow.h */;
+		name = "SIPllWindow.h: SIPll_MSG";
+		rLen = 0;
+		rLoc = 421;
+		rType = 0;
+		vrLen = 525;
+		vrLoc = 194;
+	};
+	6DED34ED0DAE15FE00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED33250DADE70C00A2F30F /* SPIWindow.cpp */;
+		name = "SPIWindow.cpp: 70";
+		rLen = 0;
+		rLoc = 2196;
+		rType = 0;
+		vrLen = 580;
+		vrLoc = 1763;
+	};
+	6DED34EE0DAE15FE00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED33240DADE70C00A2F30F /* SPIWindow.h */;
+		name = "SPIWindow.h: 6";
+		rLen = 0;
+		rLoc = 127;
+		rType = 0;
+		vrLen = 567;
+		vrLoc = 196;
+	};
+	6DED34EF0DAE15FE00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34030DAE002100A2F30F /* SIPllWindow.cpp */;
+		name = "SIPllWindow.cpp: 42";
+		rLen = 0;
+		rLoc = 1370;
+		rType = 0;
+		vrLen = 813;
+		vrLoc = 863;
+	};
+	6DED34F00DAE15FE00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34020DAE002100A2F30F /* SIPllWindow.h */;
+		name = "SIPllWindow.h: 36";
+		rLen = 0;
+		rLoc = 596;
+		rType = 0;
+		vrLen = 438;
+		vrLoc = 256;
+	};
+	6DED34F10DAE15FE00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED73900D8FA59000D85368 /* RegisterWindow.cpp */;
+		name = "RegisterWindow.cpp: 352";
+		rLen = 0;
+		rLoc = 13629;
+		rType = 0;
+		vrLen = 619;
+		vrLoc = 13486;
+	};
+	6DED34F20DAE15FE00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34030DAE002100A2F30F /* SIPllWindow.cpp */;
+		name = "SIPllWindow.cpp: 48";
+		rLen = 0;
+		rLoc = 1556;
+		rType = 0;
+		vrLen = 1000;
+		vrLoc = 609;
+	};
+	6DED34F30DAE15FE00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34D90DAE15B200A2F30F /* ADCWindow.h */;
+		name = "ADCWindow.h: 13";
+		rLen = 0;
+		rLoc = 772;
+		rType = 0;
+		vrLen = 199;
+		vrLoc = 0;
+	};
+	6DED34F40DAE15FE00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED738F0D8FA59000D85368 /* RegisterWindow.h */;
+		name = "RegisterWindow.h: 112";
+		rLen = 0;
+		rLoc = 2617;
+		rType = 0;
+		vrLen = 560;
+		vrLoc = 2058;
+	};
+	6DED34F50DAE15FE00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34D90DAE15B200A2F30F /* ADCWindow.h */;
+		name = "ADCWindow.h: 13";
+		rLen = 0;
+		rLoc = 772;
+		rType = 0;
+		vrLen = 199;
+		vrLoc = 0;
+	};
+	6DED34F60DAE15FE00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34030DAE002100A2F30F /* SIPllWindow.cpp */;
+		name = "SIPllWindow.cpp: 32";
+		rLen = 0;
+		rLoc = 1202;
+		rType = 0;
+		vrLen = 1225;
+		vrLoc = 248;
+	};
+	6DED34F70DAE15FE00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED73900D8FA59000D85368 /* RegisterWindow.cpp */;
+		name = CreateTextLabel;
+		rLen = 15;
+		rLoc = 6300;
+		rType = 0;
+		vrLen = 1867;
+		vrLoc = 4956;
+	};
+	6DED34F80DAE15FE00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED738F0D8FA59000D85368 /* RegisterWindow.h */;
+		name = "RegisterWindow.h: 19";
+		rLen = 0;
+		rLoc = 364;
+		rType = 0;
+		vrLen = 507;
+		vrLoc = 0;
+	};
+	6DED34F90DAE15FE00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34020DAE002100A2F30F /* SIPllWindow.h */;
+		name = "SIPllWindow.h: dataField";
+		rLen = 0;
+		rLoc = 670;
+		rType = 0;
+		vrLen = 499;
+		vrLoc = 195;
+	};
+	6DED34FA0DAE15FE00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34030DAE002100A2F30F /* SIPllWindow.cpp */;
+		name = "SIPllWindow.cpp: 32";
+		rLen = 0;
+		rLoc = 1202;
+		rType = 0;
+		vrLen = 1225;
+		vrLoc = 248;
+	};
+	6DED34FB0DAE15FE00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34020DAE002100A2F30F /* SIPllWindow.h */;
+		name = "SIPllWindow.h: dataField";
+		rLen = 0;
+		rLoc = 670;
+		rType = 0;
+		vrLen = 480;
+		vrLoc = 214;
+	};
+	6DED34FC0DAE15FE00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED73900D8FA59000D85368 /* RegisterWindow.cpp */;
+		name = CreateTextLabel;
+		rLen = 15;
+		rLoc = 6300;
+		rType = 0;
+		vrLen = 1867;
+		vrLoc = 4956;
+	};
+	6DED34FD0DAE15FE00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED738F0D8FA59000D85368 /* RegisterWindow.h */;
+		name = "RegisterWindow.h: 19";
+		rLen = 0;
+		rLoc = 364;
+		rType = 0;
+		vrLen = 507;
+		vrLoc = 0;
+	};
+	6DED34FE0DAE15FE00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34020DAE002100A2F30F /* SIPllWindow.h */;
+		name = "SIPllWindow.h: 9";
+		rLen = 55;
+		rLoc = 139;
+		rType = 0;
+		vrLen = 459;
+		vrLoc = 0;
+	};
+	6DED35070DAE16E800A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34D90DAE15B200A2F30F /* ADCWindow.h */;
+		name = "ADCWindow.h: ADCWind";
+		rLen = 0;
+		rLoc = 441;
+		rType = 0;
+		vrLen = 329;
+		vrLoc = 0;
+	};
+	6DED35080DAE16E800A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34D90DAE15B200A2F30F /* ADCWindow.h */;
+		name = "ADCWindow.h: 23";
+		rLen = 0;
+		rLoc = 371;
+		rType = 0;
+		vrLen = 433;
+		vrLoc = 0;
+	};
+	6DED35090DAE16E800A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34020DAE002100A2F30F /* SIPllWindow.h */;
+		name = "SIPllWindow.h: 12";
+		rLen = 0;
+		rLoc = 194;
+		rType = 0;
+		vrLen = 524;
+		vrLoc = 139;
+	};
+	6DED35280DAE376A00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6D622CE80D8ED11400428D9A /* BaoAdc.cpp */;
+		name = "BaoAdc.cpp: 128";
+		rLen = 0;
+		rLoc = 3264;
+		rType = 0;
+		vrLen = 618;
+		vrLoc = 2679;
+	};
+	6DED35290DAE376A00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34D90DAE15B200A2F30F /* ADCWindow.h */;
+		name = "ADCWindow.h: OFFSETY_ADC";
+		rLen = 0;
+		rLoc = 370;
+		rType = 0;
+		vrLen = 471;
+		vrLoc = 130;
+	};
+	6DED352A0DAE376A00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34DA0DAE15B200A2F30F /* ADCWindow.cpp */;
+		name = "ADCWindow.cpp: 18";
+		rLen = 0;
+		rLoc = 438;
+		rType = 0;
+		vrLen = 708;
+		vrLoc = 3;
+	};
+	6DED352B0DAE376A00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34D90DAE15B200A2F30F /* ADCWindow.h */;
+		name = "ADCWindow.h: 18";
+		rLen = 0;
+		rLoc = 288;
+		rType = 0;
+		vrLen = 429;
+		vrLoc = 137;
+	};
+	6DED352C0DAE376A00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34DA0DAE15B200A2F30F /* ADCWindow.cpp */;
+		name = "ADCWindow.cpp: 21";
+		rLen = 0;
+		rLoc = 1569;
+		rType = 0;
+		vrLen = 376;
+		vrLoc = 0;
+	};
+	6DED352D0DAE376A00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6D622CE80D8ED11400428D9A /* BaoAdc.cpp */;
+		name = "BaoAdc.cpp: 128";
+		rLen = 0;
+		rLoc = 3264;
+		rType = 0;
+		vrLen = 618;
+		vrLoc = 2679;
+	};
+	6DED352E0DAE376A00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34DA0DAE15B200A2F30F /* ADCWindow.cpp */;
+		name = "ADCWindow.cpp: 18";
+		rLen = 0;
+		rLoc = 438;
+		rType = 0;
+		vrLen = 708;
+		vrLoc = 3;
+	};
+	6DED352F0DAE376A00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34D90DAE15B200A2F30F /* ADCWindow.h */;
+		name = "ADCWindow.h: OFFSETY_ADC";
+		rLen = 0;
+		rLoc = 370;
+		rType = 0;
+		vrLen = 471;
+		vrLoc = 130;
+	};
+	6DED35300DAE376A00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34DA0DAE15B200A2F30F /* ADCWindow.cpp */;
+		name = "ADCWindow.cpp: 32";
+		rLen = 0;
+		rLoc = 1387;
+		rType = 0;
+		vrLen = 1173;
+		vrLoc = 291;
+	};
+	6DED35310DAE376A00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34020DAE002100A2F30F /* SIPllWindow.h */;
+		name = "SIPllWindow.h: 19";
+		rLen = 0;
+		rLoc = 311;
+		rType = 0;
+		vrLen = 524;
+		vrLoc = 139;
+	};
+	6DED35320DAE376A00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED73900D8FA59000D85368 /* RegisterWindow.cpp */;
+		name = "RegisterWindow.cpp: 88";
+		rLen = 0;
+		rLoc = 3302;
+		rType = 0;
+		vrLen = 1121;
+		vrLoc = 2345;
+	};
+	6DED35330DAE376A00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34D90DAE15B200A2F30F /* ADCWindow.h */;
+		name = "ADCWindow.h: 44";
+		rLen = 0;
+		rLoc = 772;
+		rType = 0;
+		vrLen = 546;
+		vrLoc = 228;
+	};
+	6DED35340DAE376A00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34020DAE002100A2F30F /* SIPllWindow.h */;
+		name = "SIPllWindow.h: 19";
+		rLen = 0;
+		rLoc = 311;
+		rType = 0;
+		vrLen = 524;
+		vrLoc = 139;
+	};
+	6DED35350DAE376A00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34D90DAE15B200A2F30F /* ADCWindow.h */;
+		name = "ADCWindow.h: 20";
+		rLen = 0;
+		rLoc = 325;
+		rType = 0;
+		vrLen = 522;
+		vrLoc = 0;
+	};
+	6DED35360DAE376A00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED73900D8FA59000D85368 /* RegisterWindow.cpp */;
+		name = "RegisterWindow.cpp: 88";
+		rLen = 0;
+		rLoc = 3302;
+		rType = 0;
+		vrLen = 1121;
+		vrLoc = 2345;
+	};
+	6DED35370DAE376A00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34D90DAE15B200A2F30F /* ADCWindow.h */;
+		name = "ADCWindow.h: 44";
+		rLen = 0;
+		rLoc = 772;
+		rType = 0;
+		vrLen = 546;
+		vrLoc = 228;
+	};
+	6DED35380DAE376A00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34860DAE115500A2F30F /* MixReg.h */;
+		name = "MixReg.h: MixReg";
+		rLen = 0;
+		rLoc = 471;
+		rType = 0;
+		vrLen = 820;
+		vrLoc = 199;
+	};
+	6DED35430DAE423500A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34030DAE002100A2F30F /* SIPllWindow.cpp */;
+		name = "SIPllWindow.cpp: 29";
+		rLen = 0;
+		rLoc = 972;
+		rType = 0;
+		vrLen = 760;
+		vrLoc = 609;
+	};
+	6DED35440DAE423500A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		comments = "error: ISO C++ forbids declaration of 'ADCWind' with no type";
+		fRef = 6D622CE80D8ED11400428D9A /* BaoAdc.cpp */;
+		rLen = 1;
+		rLoc = 29;
 		rType = 1;
 	};
-	6DED24D10DA62E480095CEF6 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DEA831E0C7F162300B7D5DD /* pistdwdgmosx.h */;
-		name = "pistdwdgmosx.h: 98";
-		rLen = 0;
-		rLoc = 2480;
-		rType = 0;
-		vrLen = 672;
-		vrLoc = 2048;
-	};
-	6DED24D20DA62E480095CEF6 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DEA83220C7F166500B7D5DD /* pistdwdgmosx.cpp */;
-		name = "pistdwdgmosx.cpp: PIRadioQuartz";
-		rLen = 0;
-		rLoc = 7742;
-		rType = 0;
-		vrLen = 946;
-		vrLoc = 7130;
-	};
-	6DED24D30DA62E480095CEF6 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED73900D8FA59000D85368 /* RegisterWindow.cpp */;
-		name = "RegisterWindow.cpp: 25";
-		rLen = 0;
-		rLoc = 550;
-		rType = 0;
-		vrLen = 636;
-		vrLoc = 0;
-	};
-	6DED24D40DA62E480095CEF6 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED738F0D8FA59000D85368 /* RegisterWindow.h */;
-		name = "RegisterWindow.h: 43";
-		rLen = 0;
-		rLoc = 903;
-		rType = 0;
-		vrLen = 791;
-		vrLoc = 532;
-	};
-	6DED24D50DA62E480095CEF6 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED73900D8FA59000D85368 /* RegisterWindow.cpp */;
-		name = "RegisterWindow.cpp: 59";
-		rLen = 0;
-		rLoc = 2238;
-		rType = 0;
-		vrLen = 1024;
-		vrLoc = 409;
-	};
-	6DED24D60DA62E480095CEF6 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DEA831E0C7F162300B7D5DD /* pistdwdgmosx.h */;
-		name = "pistdwdgmosx.h: 98";
-		rLen = 0;
-		rLoc = 2480;
-		rType = 0;
-		vrLen = 672;
-		vrLoc = 2048;
-	};
-	6DED24D70DA62E480095CEF6 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED738F0D8FA59000D85368 /* RegisterWindow.h */;
-		name = "RegisterWindow.h: 49";
-		rLen = 0;
-		rLoc = 985;
-		rType = 0;
-		vrLen = 794;
-		vrLoc = 514;
-	};
-	6DED24D80DA62E480095CEF6 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DEA83220C7F166500B7D5DD /* pistdwdgmosx.cpp */;
-		name = "pistdwdgmosx.cpp: PIRadioQuartz";
-		rLen = 0;
-		rLoc = 7742;
-		rType = 0;
-		vrLen = 946;
-		vrLoc = 7130;
-	};
-	6DED24D90DA62E480095CEF6 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED73900D8FA59000D85368 /* RegisterWindow.cpp */;
-		name = "RegisterWindow.cpp: 27";
-		rLen = 0;
-		rLoc = 604;
-		rType = 0;
-		vrLen = 697;
-		vrLoc = 33;
-	};
-	6DED24DA0DA62E480095CEF6 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED738F0D8FA59000D85368 /* RegisterWindow.h */;
-		name = "RegisterWindow.h: 43";
-		rLen = 0;
-		rLoc = 903;
-		rType = 0;
-		vrLen = 791;
-		vrLoc = 532;
-	};
-	6DED24DB0DA62E480095CEF6 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED73900D8FA59000D85368 /* RegisterWindow.cpp */;
-		name = "RegisterWindow.cpp: 23";
-		rLen = 0;
-		rLoc = 411;
-		rType = 0;
-		vrLen = 636;
-		vrLoc = 0;
-	};
-	6DED24DC0DA62E480095CEF6 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED738F0D8FA59000D85368 /* RegisterWindow.h */;
-		name = "RegisterWindow.h: 43";
-		rLen = 0;
-		rLoc = 903;
-		rType = 0;
-		vrLen = 791;
-		vrLoc = 532;
-	};
-	6DED24DD0DA62E480095CEF6 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED73900D8FA59000D85368 /* RegisterWindow.cpp */;
-		name = "RegisterWindow.cpp: 25";
-		rLen = 0;
-		rLoc = 550;
-		rType = 0;
-		vrLen = 636;
-		vrLoc = 0;
-	};
-	6DED24EF0DA6560C0095CEF6 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED73900D8FA59000D85368 /* RegisterWindow.cpp */;
-		name = "RegisterWindow.cpp: 61";
-		rLen = 0;
-		rLoc = 1983;
-		rType = 0;
-		vrLen = 1838;
-		vrLoc = 1489;
-	};
-	6DED24F00DA6560C0095CEF6 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED738F0D8FA59000D85368 /* RegisterWindow.h */;
-		name = "RegisterWindow.h: 43";
-		rLen = 0;
-		rLoc = 903;
-		rType = 0;
-		vrLen = 795;
-		vrLoc = 532;
+	6DED35450DAE423500A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34030DAE002100A2F30F /* SIPllWindow.cpp */;
+		name = "SIPllWindow.cpp: 29";
+		rLen = 0;
+		rLoc = 972;
+		rType = 0;
+		vrLen = 760;
+		vrLoc = 609;
+	};
+	6DED35460DAE423500A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6D622CE80D8ED11400428D9A /* BaoAdc.cpp */;
+		name = "ADCWind* adcWindow;";
+		rLen = 22;
+		rLoc = 615;
+		rType = 0;
+		vrLen = 564;
+		vrLoc = 348;
+	};
+	6DED354B0DAE425A00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6D622CE80D8ED11400428D9A /* BaoAdc.cpp */;
+		name = "ADCWind* adcWindow;";
+		rLen = 22;
+		rLoc = 615;
+		rType = 0;
+		vrLen = 578;
+		vrLoc = 355;
+	};
+	6DED354C0DAE425A00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		comments = "error: expected constructor, destructor, or type conversion before '::' token";
+		fRef = 6DED34DA0DAE15B200A2F30F /* ADCWindow.cpp */;
+		rLen = 1;
+		rLoc = 37;
+		rType = 1;
+	};
+	6DED354D0DAE425A00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6D622CE80D8ED11400428D9A /* BaoAdc.cpp */;
+		name = "ADCWind* adcWindow;";
+		rLen = 22;
+		rLoc = 615;
+		rType = 0;
+		vrLen = 578;
+		vrLoc = 355;
+	};
+	6DED354E0DAE425A00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34DA0DAE15B200A2F30F /* ADCWindow.cpp */;
+		name = "~ADCWind::ADCWind()";
+		rLen = 20;
+		rLoc = 1526;
+		rType = 0;
+		vrLen = 929;
+		vrLoc = 612;
+	};
+	6DED35530DAE427B00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34DA0DAE15B200A2F30F /* ADCWindow.cpp */;
+		name = "ADCWindow.cpp: ~ADCWind";
+		rLen = 0;
+		rLoc = 1526;
+		rType = 0;
+		vrLen = 929;
+		vrLoc = 612;
+	};
+	6DED355C0DAE431E00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6D622CE80D8ED11400428D9A /* BaoAdc.cpp */;
+		name = "BaoAdc.cpp: 22";
+		rLen = 0;
+		rLoc = 462;
+		rType = 0;
+		vrLen = 764;
+		vrLoc = 171;
+	};
+	6DED355D0DAE431E00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34030DAE002100A2F30F /* SIPllWindow.cpp */;
+		name = "SIPllWindow.cpp: 44";
+		rLen = 391;
+		rLoc = 1370;
+		rType = 0;
+		vrLen = 562;
+		vrLoc = 1199;
+	};
+	6DED355E0DAE431E00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34DA0DAE15B200A2F30F /* ADCWindow.cpp */;
+		name = "ADCWindow.cpp: 18";
+		rLen = 0;
+		rLoc = 426;
+		rType = 0;
+		vrLen = 1102;
+		vrLoc = 0;
+	};
+	6DED355F0DAE431E00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34D90DAE15B200A2F30F /* ADCWindow.h */;
+		name = "ADCWindow.h: OFFSETY_ADC";
+		rLen = 0;
+		rLoc = 370;
+		rType = 0;
+		vrLen = 504;
+		vrLoc = 133;
+	};
+	6DED35600DAE431E00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34DA0DAE15B200A2F30F /* ADCWindow.cpp */;
+		name = "ADCWindow.cpp: 32";
+		rLen = 0;
+		rLoc = 1415;
+		rType = 0;
+		vrLen = 1315;
+		vrLoc = 164;
+	};
+	6DED35610DAE431E00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6D622CE80D8ED11400428D9A /* BaoAdc.cpp */;
+		name = "BaoAdc.cpp: 22";
+		rLen = 0;
+		rLoc = 462;
+		rType = 0;
+		vrLen = 764;
+		vrLoc = 171;
+	};
+	6DED35620DAE431E00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34D90DAE15B200A2F30F /* ADCWindow.h */;
+		name = "ADCWindow.h: OFFSETY_ADC";
+		rLen = 0;
+		rLoc = 370;
+		rType = 0;
+		vrLen = 504;
+		vrLoc = 133;
+	};
+	6DED35630DAE431E00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34DA0DAE15B200A2F30F /* ADCWindow.cpp */;
+		name = "ADCWindow.cpp: 50";
+		rLen = 0;
+		rLoc = 2137;
+		rType = 0;
+		vrLen = 881;
+		vrLoc = 729;
+	};
+	6DED35640DAE431E00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34030DAE002100A2F30F /* SIPllWindow.cpp */;
+		name = "SIPllWindow.cpp: 44";
+		rLen = 391;
+		rLoc = 1370;
+		rType = 0;
+		vrLen = 562;
+		vrLoc = 1199;
+	};
+	6DED35650DAE431E00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34DA0DAE15B200A2F30F /* ADCWindow.cpp */;
+		name = "ADCWindow.cpp: 18";
+		rLen = 0;
+		rLoc = 426;
+		rType = 0;
+		vrLen = 1102;
+		vrLoc = 0;
+	};
+	6DED35660DAE431E00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34D90DAE15B200A2F30F /* ADCWindow.h */;
+		name = "ADCWindow.h: OFFSETY_ADC";
+		rLen = 0;
+		rLoc = 370;
+		rType = 0;
+		vrLen = 468;
+		vrLoc = 133;
+	};
+	6DED35670DAE431E00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34860DAE115500A2F30F /* MixReg.h */;
+		name = "MixReg.h: MixReg";
+		rLen = 0;
+		rLoc = 471;
+		rType = 0;
+		vrLen = 820;
+		vrLoc = 199;
+	};
+	6DED35680DAE431E00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34860DAE115500A2F30F /* MixReg.h */;
+		name = "MixReg.h: MixReg";
+		rLen = 0;
+		rLoc = 471;
+		rType = 0;
+		vrLen = 820;
+		vrLoc = 199;
+	};
+	6DED35690DAE431E00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34870DAE115500A2F30F /* MixReg.cpp */;
+		name = "MixReg.cpp: 33";
+		rLen = 0;
+		rLoc = 592;
+		rType = 0;
+		vrLen = 683;
+		vrLoc = 591;
 	};
 	6DED738F0D8FA59000D85368 /* RegisterWindow.h */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {812, 1652}}";
-			sepNavSelRange = "{903, 0}";
-			sepNavVisRect = "{{0, 434}, {812, 383}}";
+			sepNavIntBoundsRect = "{{0, 0}, {783, 1582}}";
+			sepNavSelRange = "{2617, 0}";
+			sepNavVisRect = "{{0, 1191}, {783, 391}}";
 		};
 	};
 	6DED73900D8FA59000D85368 /* RegisterWindow.cpp */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {812, 4186}}";
-			sepNavSelRange = "{1983, 0}";
-			sepNavVisRect = "{{0, 730}, {812, 435}}";
+			sepNavIntBoundsRect = "{{0, 0}, {783, 5264}}";
+			sepNavSelRange = "{3302, 0}";
+			sepNavVisRect = "{{0, 897}, {783, 429}}";
 		};
 	};
